//DisablePaymentDevices.js: ensures that all payment devices
//will be switched off after a certain interval.

//Important:
//do not use this script in combination with SiteCafe.

var AbschaltenVon = new Date();
var AbschaltenBis = new Date();


/******* Configuration *******/

//the interval may not include the switch to the next day.

//Start of the interval after which the payment devices
//will be switched off.
AbschaltenVon.setHours(17);
AbschaltenVon.setMinutes(0);

//End of the interval after which the payment devices
//will be switched off.
AbschaltenBis.setHours(19);
AbschaltenBis.setMinutes(0);
/*****************************/

var Count = SiteKiosk.Plugins("SiteCash").Devices2.Count;
var EvtID = SiteKiosk.Scheduler.AddPeriodicEvent(60000, DisableCheck);

SiteKiosk.Logfile.Notification("DisablePaymentDevices.js loaded");

function DisableCheck(eventID)
{
	cur_Date = new Date();
	cur_Hours = cur_Date.getHours();
	cur_Minutes = cur_Date.getMinutes();
	cur_total_Minutes = cur_Minutes+cur_Hours*60;
	from_Hours = AbschaltenVon.getHours();
	from_Minutes = AbschaltenVon.getMinutes();
	from_total_Minutes = from_Minutes+from_Hours*60;
	to_Hours = AbschaltenBis.getHours();
	to_Minutes = AbschaltenBis.getMinutes();
	to_total_Minutes = to_Minutes+to_Hours*60;
	
	Count = SiteKiosk.Plugins("SiteCash").Devices2.Count;
	if(cur_total_Minutes>=from_total_Minutes && cur_total_Minutes<to_total_Minutes)
		EnableAllDevices(false);
	else
		EnableAllDevices(true);
}

function EnableAllDevices(enable)
{
	SiteKiosk.Logfile.Notification("Payment Devices enabled: "+enable);
	for (i=1; i<=Count; i++)
		SiteKiosk.Plugins("SiteCash").Devices2.Item(i).EnableDevice(enable);
}
